<div class="assignmentSkillWrap">
  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Grading Tool Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Grading Tool
      </button>
    </div>
  </div>
  <div class="titleBar">

    <br>
    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Grading Tool Name</th>
        <th>Grading Tool Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let gradingToolObj of gradingToolList">
        <td>{{gradingToolObj.gradeName}}</td>
        <td>{{gradingToolObj.gradingDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(gradingToolObj)">
          Edit Grading Tool
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(gradingToolObj)">
          Delete Grading Tool
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createGradingTool">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">

        <h4 *ngIf="!isEdit">create Tool</h4>
        <h4  *ngIf="isEdit">Edit Tool</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentBadge="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="gradingToolObj.touched && gradingToolObj.invalid">
              <label for="assignmentName">Grading Tool Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="gradingToolObj.gradeName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Grading Tool"/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter Grading tool.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0">Grading Tool Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="gradingToolObj.gradingDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter Tool Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">

            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveGradingTool()" [disabled]="!assignmentBadge.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateGradingTool()" [disabled]="!assignmentBadge.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-Close" (click)="hidePopup()">Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteGradingTool">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Grading Tool</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deletebadgeObj.gradingToolObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteGradingTool(deletebadgeObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>


